Bug 206695 - agpgart should not be compiled into kernel
agpgart should not be compiled into kernel
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-09-15 14:35 EDT by The Source
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-17 10:14:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description The Source 2006-09-15 14:35:53 EDT
Description of problem:
It would be nice if you compile agpgart as modules by default. Otherwise I have
to recompile kernel if I want to use other agp driver (like nvidia which is more

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Dave Jones 2006-09-16 23:04:14 EDT
It needs to be built in so that resource allocation for various other things
work correctly (for example the amd64 IOMMU, and the IntelFB driver).
Comment 2 The Source 2006-09-17 05:12:26 EDT
Probably you know it yourself, but it is not good to force users to use unwanted
drivers. Is there any way to disable agpgart even if it is inside kernel?
Comment 3 Dave Jones 2006-09-17 10:14:14 EDT

Note You need to log in before you can comment on or make changes to this bug.